{% extends 'base.html.twig' %}

{% block title %}Accueil - {{ parent() }}{% endblock %}

{% block stylesheets %}
    {{ encore_entry_link_tags('header') }}
{% endblock %}

{% block body %}
<div>
  <div class="header-blue">
    {% include "base/_navbar.html.twig" %}
    <div class="container hero">
      <div class="row">
        <div class="col-12 col-lg-6 col-xl-5 offset-xl-1">
          <h1>Mon blog test</h1>
          <p>Ce site à pour but d'apprentissage. il intègre une application Symfony 5 avec Bootstrap, jQuery, et divers librairies d'animations css.</p>
          <button class="btn btn-light btn-lg action-button" type="button">En savoir plus</button>
        </div>
      </div>
    </div>
  </div>

  <div class="container-carousel">
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel" data-interval="6000">
      <ol class="carousel-indicators">
        <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
      </ol>
      <div class="carousel-inner">
        <div class="carousel-item active">
          <img class="d-block w-100" src="{{ asset('build/images/carousel-image-1.jpg') }}" alt="First slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="{{ asset('build/images/carousel-image-2.jpg') }}" alt="Second slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="{{ asset('build/images/carousel-image-3.jpg') }}" alt="Third slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="{{ asset('build/images/carousel-image-4.jpg') }}" alt="Fourth slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="{{ asset('build/images/carousel-image-5.jpg') }}" alt="Fifth slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="{{ asset('build/images/carousel-image-6.jpg') }}" alt="Sixt slide">
        </div>
        <div class="carousel-item">
          <img class="d-block w-100" src="{{ asset('build/images/carousel-image-7.jpg') }}" alt="Seventh slide">
        </div>
      </div>
      <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
      </a>
      <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
      </a>
      <script>
        //This script is about stay mouse on the image will not stop the image swipping
        $('.carousel').carousel({
          pause: "null"
        })
      </script>
    </div>
  </div>
  
  <div class="container-content">
    <div class="container">
      <div class="row">
        {% for post in posts %}
          <div class="col-lg-4">
              <div class="card m-3">
                <img src="{{ post.cover }}" class="card-img-top" alt="image {{post.id}}">
                <div class="card-body">
                  <h5 class="card-title">Titre de la carte</h5>
                  <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
                  <a href="#" class="btn btn-primary">Lire la suite</a>
                </div>
                <div class="card-footer">
                  <small class="text-muted">Il y a 3 minutes</small>
                </div>
              </div>
          </div>
        {% endfor %}
      </div>
    </div>
  </div>
  {% include "base/_footer.html.twig" %}
</div>
{% block javascripts %}
    {{ encore_entry_script_tags('header') }}
{% endblock %}
{% endblock %}




